Bug 974997 - Default configuration does not specify socket prefix
Default configuration does not specify socket prefix
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mod_wsgi (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
: Reopened
Depends On: 611182
Blocks: 974995
  Show dependency treegraph
 
Reported: 2013-06-17 06:41 EDT by Till Maas
Modified: 2014-08-29 11:05 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 611182
Environment:
Last Closed: 2014-08-29 11:05:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2013-06-17 06:41:05 EDT
+++ This bug was initially created as a clone of Bug #611182 +++

Currently mod_wsgi does not declare WSGISocketPrefix so mod_wsgi in daemon mode tries to create a socket in /etc/httpd/logs/ which will fail.

I propose to add these lines to /etc/httpd/conf.d/wsgi.conf:

<IfModule mod_wsgi.c>
   WSGISocketPrefix /var/run/mod_wsgi
</IfModule>

Therefore new users don't have to set it explicitely and mod_wsgi on EPEL will be a bit easier to use.
Comment 1 Till Maas 2013-06-17 06:41:40 EDT
Noticed in mod_wsgi-3.3-2.fc17
Comment 2 Fedora End Of Life 2013-07-04 01:31:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 12:40:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Jon Dufresne 2013-08-26 21:03:47 EDT
> If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

This issue still exists with the most recent version of Fedora and mod_wsgi, so reopening.
Comment 5 Joe Orton 2013-10-21 17:48:14 EDT
This was corrected by fixing httpd to export the correct run-time path.  mod_wsgi now uses "/run/httpd/wsgi" as the default hard-coded prefix.

It works for me with mod_wsgi-3.4-6.fc18.x86_64.  What version are you using, Jon?
Comment 6 Joe Orton 2013-10-21 17:50:20 EDT
# strings /usr/lib64/httpd/modules/mod_wsgi.so  | grep /run
/run/httpd/wsgi
# rpm -qf /usr/lib64/httpd/modules/mod_wsgi.so
mod_wsgi-3.4-8.fc19.x86_64

Looks fine in f19 too.

Note You need to log in before you can comment on or make changes to this bug.